use crate::{config::OllamaConfig, linux::systemd_service_enable, pkg::install_pkgs};

/// Setup Ollama AI Service
pub fn setup_ollama(conf: &OllamaConfig) {
    if conf.gpu {
        install_pkgs(&["ollama-cuda"]);
    } else {
        install_pkgs(&["ollama"]);
    }

    systemd_service_enable("ollama.service");

    for model in conf.models.clone().unwrap_or_default() {
        // TODO : Pull models
    }
}
