use crate::{
    config::PackageConfig,
    linux::{arch_chroot, run_command},
};

pub const DESKTOP_PKG: [&str; 3] = ["plasma", "sddm", "navos/navos"];

pub const SERVER_PKG: [&str; 2] = ["tmux", "navos/navos"];

/// Install packages to the chroot environment at `/mnt`
pub fn install_pkgs(pkg: &[&str]) {
    let mut cmd = vec!["pacman", "-Syu"];

    cmd.push("--noconfirm");
    cmd.extend_from_slice(pkg);

    arch_chroot(&cmd, None, true);
}

// PACSTRAP

/// Initial system pacstrap
pub fn pacstrap(conf: &PackageConfig) {
    let mut cmd: Vec<&str> = vec![
        "pacstrap",
        "-K",
        "/mnt",
        "base",
        "linux",
        "linux-firmware",
        "linux-headers",
        "git",
        "networkmanager",
        "nano",
        "doas",
    ];

    cmd.extend(
        &conf
            .pkg
            .iter()
            .map(std::string::String::as_str)
            .collect::<Vec<_>>(),
    );

    run_command(&cmd, None, true);
}
